List USD virtual account deposits
curl --request GET \
--url https://api.daya.co/v1/virtual-account-deposits \
--header 'X-Api-Key: <x-api-key>'import requests
url = "https://api.daya.co/v1/virtual-account-deposits"
headers = {"X-Api-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<x-api-key>'}};
fetch('https://api.daya.co/v1/virtual-account-deposits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "9c4e8400-e29b-41d4-a716-446655440000",
"type": "USD_DEPOSIT",
"va_deposit_id": "9c4e8400-e29b-41d4-a716-446655440000",
"customer_id": "650e8400-e29b-41d4-a716-446655440000",
"amount": "100.00",
"currency": "USD",
"settled_amount": "99.50",
"settled_currency": "USD",
"payment_rail": "ach",
"sender": {
"name": "Jane Doe",
"account_number": "****1234",
"bank_name": "Chase"
},
"status": "COMPLETED",
"settlement_status": "COMPLETED",
"fees": {
"deposit_fee": { "amount": "0.50", "currency": "USD" },
"total_fee_usd": "0.50"
},
"developer_fee": {
"percentage": "1.5",
"amount": "1.49",
"currency": "USD"
},
"customer_amount": {
"amount": "98.01",
"currency": "USD"
},
"created_at": "2026-01-14T17:00:00Z",
"updated_at": "2026-01-14T17:01:30Z"
}
],
"page": 1,
"limit": 50,
"total": 1,
"total_pages": 1
}
USD Virtual Account Deposits
List USD virtual account deposits
List payments received into USD virtual accounts
GET
/
v1
/
virtual-account-deposits
List USD virtual account deposits
Overview
Retrieve payments received into USD virtual accounts. Use this endpoint when a customer pays into USD bank details created with/v1/virtual-accounts.
Use List deposits for NGN and crypto deposits received through funding accounts.
Authentication
string
required
Your merchant API key
Query Parameters
string
Filter by customer ID (UUID).
string
Filter by USD virtual account ID (UUID).
string
Filter by USD account deposit status.Allowed values:
PENDING | COMPLETED | FLAGGED | FAILEDstring
Filter deposits created from this time (RFC 3339, inclusive).
string
Filter deposits created before this time (RFC 3339, exclusive).
integer
Results per page.Default:
50 | Max: 200integer
Page number to retrieve.Default:
1Request Examples
curl --request GET \
--url 'https://api.daya.co/v1/virtual-account-deposits' \
--header 'X-Api-Key: YOUR_API_KEY'
curl --request GET \
--url 'https://api.daya.co/v1/virtual-account-deposits?virtual_account_id=550e8400-e29b-41d4-a716-446655440000' \
--header 'X-Api-Key: YOUR_API_KEY'
const response = await fetch(
'https://api.daya.co/v1/virtual-account-deposits?status=COMPLETED&limit=50&page=1',
{
headers: {
'X-Api-Key': 'YOUR_API_KEY'
}
}
);
const data = await response.json();
Response
array
required
Array of USD account deposit objects.
Show deposit properties
Show deposit properties
string
Unique deposit identifier (UUID).
string
Always
USD_DEPOSIT.string
USD account deposit ID.
string
Associated customer ID.
string
Amount received in USD.
string
Always
USD.string
Amount credited after fees, when settled.
string
Settlement currency, usually
USD.string
Payment rail used, such as
ach or wire.object
Sender information when available.
string
Public status:
PENDING, COMPLETED, FLAGGED, or FAILED.string
Settlement progress.
object
Fees applied to the deposit.
object
object
string
Time the payment was received.
string
Last status update time.
integer
required
Current page number.
integer
required
Results per page.
integer
required
Total number of deposits matching filters.
integer
required
Total number of pages available.
Success Response
{
"data": [
{
"id": "9c4e8400-e29b-41d4-a716-446655440000",
"type": "USD_DEPOSIT",
"va_deposit_id": "9c4e8400-e29b-41d4-a716-446655440000",
"customer_id": "650e8400-e29b-41d4-a716-446655440000",
"amount": "100.00",
"currency": "USD",
"settled_amount": "99.50",
"settled_currency": "USD",
"payment_rail": "ach",
"sender": {
"name": "Jane Doe",
"account_number": "****1234",
"bank_name": "Chase"
},
"status": "COMPLETED",
"settlement_status": "COMPLETED",
"fees": {
"deposit_fee": { "amount": "0.50", "currency": "USD" },
"total_fee_usd": "0.50"
},
"developer_fee": {
"percentage": "1.5",
"amount": "1.49",
"currency": "USD"
},
"customer_amount": {
"amount": "98.01",
"currency": "USD"
},
"created_at": "2026-01-14T17:00:00Z",
"updated_at": "2026-01-14T17:01:30Z"
}
],
"page": 1,
"limit": 50,
"total": 1,
"total_pages": 1
}
Next Steps
Get USD Virtual Account Deposit
Get a specific USD virtual account deposit by ID
USD Virtual Accounts
Learn how USD virtual accounts work